detail::LoadFieldsParams Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

| LoadFieldsParams (Field3D::Field3DInputFile &a_in, const std::string &a_name, const std::string &a_attribute, Field3D::FieldRes::Vec &a_results, Field3D::FieldRes::Vec &a_minResults, Field3D::FieldRes::Vec &a_maxResults)

## Public Attributes

const std::string & | attribute
Field3D::Field3DInputFile & | in
Field3D::FieldRes::Vec & | maxResults
Field3D::FieldRes::Vec & | minResults
const std::string & | name
Field3D::FieldRes::Vec & | results

## Detailed Description

Definition at line 109 of file FieldGroup.h.

## Constructor & Destructor Documentation

## LoadFieldsParams()

detail::LoadFieldsParams::LoadFieldsParams | ( | Field3D::Field3DInputFile & | a_in,
|  | const std::string & | a_name,
|  | const std::string & | a_attribute,
|  | Field3D::FieldRes::Vec & | a_results,
|  | Field3D::FieldRes::Vec & | a_minResults,
|  | Field3D::FieldRes::Vec & | a_maxResults )

inline

Definition at line 111 of file FieldGroup.h.

: in(a_in),
name(a_name),
attribute(a_attribute),
results(a_results),
minResults(a_minResults),
maxResults(a_maxResults)
{ }
detail::LoadFieldsParams::in
Field3D::Field3DInputFile & in
Definition FieldGroup.h:124
detail::LoadFieldsParams::minResults
Field3D::FieldRes::Vec & minResults
Definition FieldGroup.h:128
detail::LoadFieldsParams::maxResults
Field3D::FieldRes::Vec & maxResults
Definition FieldGroup.h:129
detail::LoadFieldsParams::results
Field3D::FieldRes::Vec & results
Definition FieldGroup.h:127
detail::LoadFieldsParams::attribute
const std::string & attribute
Definition FieldGroup.h:126
detail::LoadFieldsParams::name
const std::string & name
Definition FieldGroup.h:125

References attribute, in, maxResults, minResults, name, and results.

## Member Data Documentation

## in

Field3D::Field3DInputFile& detail::LoadFieldsParams::in

Definition at line 124 of file FieldGroup.h.

Referenced by LoadFieldsParams().

## name

const std::string& detail::LoadFieldsParams::name

Definition at line 125 of file FieldGroup.h.

Referenced by LoadFieldsParams().

## attribute

const std::string& detail::LoadFieldsParams::attribute

Definition at line 126 of file FieldGroup.h.

Referenced by LoadFieldsParams().

## results

Field3D::FieldRes::Vec& detail::LoadFieldsParams::results

Definition at line 127 of file FieldGroup.h.

Referenced by LoadFieldsParams().

## minResults

Field3D::FieldRes::Vec& detail::LoadFieldsParams::minResults

Definition at line 128 of file FieldGroup.h.

Referenced by LoadFieldsParams().

## maxResults

Field3D::FieldRes::Vec& detail::LoadFieldsParams::maxResults

Definition at line 129 of file FieldGroup.h.

Referenced by LoadFieldsParams().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h